Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.api
Class CycConnection.TaskProcessorBinaryResponseHandler

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.opencyc.api.CycConnection.TaskProcessorBinaryResponseHandler

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  CycConnection

protected class CycConnection.TaskProcessorBinaryResponseHandler
extends java.lang.Thread

Class TaskProcessorBinaryResponseHandler handles responses from task-processor requests in binary communication mode.

Field Summary
`protected CycList` | `ignoreMessage` The (ignore) message from the Cyc server to test if the connection is alive.
`protected java.net.Socket` | `inboundSocket` The socket which receives asychronous inbound messages from the Cyc server.
`CfaslInputStream` | `inboundStream` The binary interface input stream which receives asychronous messages from the Cyc server..
`protected java.net.ServerSocket` | `listenerSocket` The socket which listens for new connections.
`static int` | `LOCAL_CLIENT_LISTENER_PORT` Well known port where the java api listens for requests from cyc clients.
`static int` | `MAX_LOCAL_CLIENT_CLIENTS` Maximum number of local cyc clients supported by this listener.
`protected java.lang.Thread` | `parentThread` Reference to the parent thread which will sleep until this handler is initialized.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CycConnection.TaskProcessorBinaryResponseHandler(java.lang.Thread parentThread)` Constructs a TaskProcessorBinaryResponseHandler object.

Method Summary
`void` | `run()` Blocks until the next task-processor response is available, then awakens the client thread that made the request.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCAL_CLIENT_LISTENER_PORT

    public static final int LOCAL_CLIENT_LISTENER_PORT

  Well known port where the java api listens for requests from cyc clients.

### MAX_LOCAL_CLIENT_CLIENTS

    public static final int MAX_LOCAL_CLIENT_CLIENTS

  Maximum number of local cyc clients supported by this listener.

### listenerSocket

    protected java.net.ServerSocket listenerSocket

  The socket which listens for new connections.

### inboundSocket

    protected java.net.Socket inboundSocket

  The socket which receives asychronous inbound messages from the Cyc server.

### inboundStream

    public CfaslInputStream inboundStream

  The binary interface input stream which receives asychronous messages from the Cyc server..

### parentThread

    protected java.lang.Thread parentThread

  Reference to the parent thread which will sleep until this handler is initialized.

### ignoreMessage

    protected CycList ignoreMessage

  The (ignore) message from the Cyc server to test if the connection is alive.

Constructor Detail

### CycConnection.TaskProcessorBinaryResponseHandler

    public CycConnection.TaskProcessorBinaryResponseHandler(java.lang.Thread parentThread)

  Constructs a TaskProcessorBinaryResponseHandler object.

Method Detail

### run

    public void run()

  Blocks until the next task-processor response is available, then awakens the client thread that made the request.
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD